Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.spi
Interface KernelObject

All Superinterfaces:
  KernelEventEmitter

All Known Subinterfaces:
  KernelBus, KernelConfig, KernelConfigurator, KernelController, KernelEventManager, KernelRegistry

All Known Implementing Classes:
  AbstractEventManager, AbstractKernelBus, AbstractKernelConfig, AbstractKernelConfigurator, AbstractKernelController, AbstractKernelObject, AbstractKernelRegistry

public interface KernelObject
extends KernelEventEmitter

A kernel object.

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock

Method Summary
`Kernel` | `getKernel()` Get the kernel
`void` | `setKernel(Kernel kernel)` Set the kernel.

Methods inherited from interface org.jboss.kernel.spi.event.KernelEventEmitter
`fireKernelEvent, registerListener, unregisterListener`

Method Detail

### getKernel

    public Kernel getKernel()

  Get the kernel

  Returns:
    the kernel

### setKernel

    public void setKernel(Kernel kernel)
                   throws Throwable

  Set the kernel.

  Parameters:
    `kernel` - the kernel
  Throws:
    `Throwable` - for any error
    `SecurityException` - if the you don't have KernelPermission('configure')

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.